.\" $NetBSD: uscanner.4,v 1.9 2003/08/03 15:25:48 tron Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 10, 2000
.Dt USCANNER 4
.Os
.Sh NAME
.Nm uscanner
.Nd minimal USB support for scanners
.Sh SYNOPSIS
.Cd "uscanner* at uhub?"
.Sh DESCRIPTION
The
.Nm
driver provides minimal support for USB scanners.
The driver recognizes a number of USB scanners, but to
actually scan anything there needs to be software that knows
about the particular scanner.  The SANE package provides
support for some scanners.
.Sh HARDWARE
The
.Nm
driver works with the following scanners:
.Ss Epson
.Bl -tag -width Dv -offset indent -compact
.It GT-7000
.It Perfection 610U
.It Perfection 636U
.It Perfection 1200U
.It Perfection 1200U Photo
.It Perfection 1260
.It Perfection 1660
.It Perfection 2400
.El
.Ss HP
.Bl -tag -width Fl -offset indent -compact
.It ScanJet 4100C
.It ScanJet 5200C
.\" .It ScanJet 5300C
.It ScanJet 6300C
.El
.\" .Ss Microtek
.\" .Bl -tag -width -offset indent -compact
.\" .It ScanMaker X6USB
.\" .El
.Pp
Many other scanners are recognized, but there is no software support
for them yet.
.Sh SEE ALSO
.Xr scanimage 1 ,
.Xr usb 4 ,
.Xr usscanner 4
.br
.Pa http://www.buzzard.org.uk/jonathan/scanners-usb.html
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.6 .
.Sh BUGS
This driver should not really exist.  The scanners it recognizes
can be accessed through the
.Xr ugen 4
driver instead.  A proper scanner driver would provide a uniform
interface to scanners instead of exposing the innards of the
scanner.
The reason the driver exists is to have something that is compatible
with the Linux driver.
